%define	module	Catalyst-Plugin-Session-Store-DBI
%define	name	perl-%{module}
%define version 0.13
%define release %mkrel 1

Summary:	Store your sessions in a database
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/A/AG/AGRUNDMA//%{module}-%{version}.tar.gz
Url:		http://search.cpan.org/dist/%{module}
BuildRequires:	perl(Catalyst) >= 5.49
BuildRequires:	perl(Catalyst::Plugin::Session) >= 0.05
BuildRequires:	perl(DBI)
BuildRequires:	perl(MIME::Base64)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This storage module will store session data in a database using DBI.


%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL installdirs=vendor
%make

%check
%__make test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/Catalyst



%changelog
* Wed Apr 30 2008 Olivier Thauvin <nanardon@mandriva.org> 0.13-1mdv2009.0
+ Revision: 199443
- 0.13

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2008.1
+ Revision: 98002
- new version

* Mon Apr 30 2007 Olivier Thauvin <nanardon@mandriva.org> 0.11-1mdv2008.0
+ Revision: 19699
- 0.11


* Mon Apr 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.07-1mdk
- New release 0.07
- Fix SOURCE

* Sat Apr 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdk
- new version
- %%mkrel
- fix directory ownership
- rpmbuildupdate aware
- filter out useless requires/buildrequires

* Fri Jan 13 2006 Scott Karns <scott@karnstech.com> 0.05-1mdk
- Initial Mdv package

